## org.eclipse.xsd
Interface XSDParticle.DFA.State

All Known Implementing Classes:
  XSDParticleImpl.XSDNFA.StateImpl

Enclosing interface:
  XSDParticle.DFA

    public static interface XSDParticle.DFA.State

A state of a deterministic finite state automaton.

Method Summary
`XSDParticle.DFA.Transition` `accept(java.lang.String namespaceURI, java.lang.String localName)` Return the transition applicable for the given input.
`java.util.List<XSDParticle.DFA.Transition>` `getTransitions()` Returns the list of transitions that leave this state.
`boolean` `isAccepting()` Returns whether this state is an accepting state.

Method Detail

### isAccepting

    boolean isAccepting()

  Returns whether this state is an accepting state.

  Returns:
    whether this state is an accepting state.

### getTransitions

    java.util.List<XSDParticle.DFA.Transition> getTransitions()

  Returns the list of transitions that leave this state.

  Returns:
    the list of transitions that leave this state.

### accept

    XSDParticle.DFA.Transition accept(java.lang.String namespaceURI,
                                      java.lang.String localName)

  Return the transition applicable for the given input. An unrecognized input will yield `null`.

  Returns:
    the transition applicable for the given input

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.